import { IChromosome, ICrossover } from '..';
export declare abstract class CrossoverBase implements ICrossover {
    protected readonly _parentsNumber: number;
    protected readonly _childrenNumber: number;
    protected readonly _probability: number;
    protected constructor(_parentsNumber: number, _childrenNumber: number, _probability: number);
    get parentsNumber(): number;
    get childrenNumber(): number;
    cross(parents: Array<IChromosome>): Array<IChromosome> | never;
    protected abstract performCross(parents: Array<IChromosome>, probability: number): Array<IChromosome>;
}
