import { IAlgorithm, ITermination } from '..';
export declare abstract class TerminationBase implements ITermination {
    private _hasReached;
    private _progress;
    get progress(): number;
    init(): void;
    protected performInit(): void;
    hasReached(algorithm: IAlgorithm): boolean;
    protected abstract performGetProgress(algorithm: IAlgorithm): number;
    protected abstract performHasReached(algorithm: IAlgorithm): boolean;
}
