import { IChromosome, IMutation } from '..';
export declare abstract class MutationBase implements IMutation {
    protected readonly _probability: number;
    protected readonly _deleteProbability: number;
    protected readonly _insertProbability: number;
    protected constructor(_probability: number, _deleteProbability?: number, _insertProbability?: number);
    mutate(chromosome: IChromosome): void;
    protected deleteAcid(chromosome: IChromosome): void;
    protected insertAcid(chromosome: IChromosome): void;
}
